%define	fontdir	%{_datadir}/fonts/ja/TrueType

Summary:	Japanese TrueType Fonts
Summary(ja):	
Name:		konatu
Version:	20040901
Release:	b1
License:	Distributable
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root
Source:		%{name}-%{version}.tar.bz2
URL:		http://www.masuseki.com/be/konatu.html

%description
This package provides Japanese TrueType fonts, and includes
ttindex files for VFlib.

%prep
%setup -q

%build

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{fontdir}
install -m 0644 *.ttf $RPM_BUILD_ROOT%{fontdir}

# "touch" all files we've got flagged as %ghost  but which are not
# present in the RPM_BUILD_ROOT when RPM looks for files
/bin/touch $RPM_BUILD_ROOT%{fontdir}/fonts.cache-1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi

%files
%defattr(0644,root,root,0755)
#%doc *.TXT
%dir %{fontdir}
%{fontdir}/*.ttf
%ghost %{fontdir}/fonts.cache-1


##
## change log
##

%changelog
* Mon Nov 1 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
